petsc-3.4.2 2013-07-02

# PCHMPI

Runs a preconditioner for a single process matrix across several MPI processes

        This will usually be run with -pc_type hmpi -ksp_type preonly

        solver options are set with -hmpi_ksp_... and -hmpi_pc_... for example

        -hmpi_ksp_type cg would use cg as the Krylov method or -hmpi_ksp_monitor or

        -hmpi_pc_type hypre -hmpi_pc_hypre_type boomeramg

Always run with -ksp_view (or -snes_view) to see what solver is actually being used.

Currently the solver options INSIDE the HMPI preconditioner can ONLY be set via the options database.

See PetscHMPIMerge() and PetscHMPISpawn() for two ways to start up MPI for use with this preconditioner

### See Also

PCCreate(), PCSetType(), PCType (for list of available types)

Level:intermediate
Location:src/ksp/pc/impls/openmp/hpc.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages